<?xml version="1.0" encoding="UTF-8" ?>
<XMLDB PATH="enrol/unasusem/db" VERSION="20120805" COMMENT="Esquema do banco de dados do módulo da matrícula da UMA-SUS"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="../../../lib/xmldb/xmldb.xsd"
>
  <TABLES>
    <TABLE NAME="enrol_unasus" COMMENT="Efetua registro da solicitação da matrícula" NEXT="enrol_unasus_role">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="userid"/>
        <FIELD NAME="userid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira da tabela mdl_user" PREVIOUS="id" NEXT="courseid"/>
        <FIELD NAME="courseid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira da tabela mdl_course" PREVIOUS="userid" NEXT="rolecontextid"/>
        <FIELD NAME="rolecontextid" TYPE="int" LENGTH="10" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Regra do contexto usado para homologar a matrícula" PREVIOUS="courseid" NEXT="time"/>
        <FIELD NAME="time" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Data de solicitação da matrícula" PREVIOUS="rolecontextid" NEXT="timeupdate"/>
        <FIELD NAME="timeupdate" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Data de atualização da solicitação da matrícula" PREVIOUS="time" NEXT="status"/>
        <FIELD NAME="status" TYPE="int" LENGTH="5" NOTNULL="true" UNSIGNED="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Situação da matrícula 1 - Aceite 2 –Recusado 3 – Atende  as regras da matrícula  e  aguarda a  homologação do gestor 4 – Não atende  as regras da matrícula  e  aguarda a  homologação do gestor" PREVIOUS="timeupdate" NEXT="statuscause"/>
        <FIELD NAME="statuscause" TYPE="int" LENGTH="10" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Indicar a causa ou justificativa do status." PREVIOUS="status" NEXT="statusinfo"/>
        <FIELD NAME="statusinfo" TYPE="int" LENGTH="11" NOTNULL="true" UNSIGNED="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Informação sobre status 1- Manual 2- Automático" PREVIOUS="statuscause" NEXT="author"/>
        <FIELD NAME="author" TYPE="int" LENGTH="11" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Usuário que autorizou a matrícula do usuário manualmente" PREVIOUS="statusinfo" NEXT="justify"/>
        <FIELD NAME="justify" TYPE="text" LENGTH="big" NOTNULL="false" SEQUENCE="false" ENUM="false" COMMENT="Justificativa sobre a autorização da matrícula" PREVIOUS="author" NEXT="description"/>
        <FIELD NAME="description" TYPE="text" LENGTH="big" NOTNULL="false" SEQUENCE="false" ENUM="false" COMMENT="Descrição geral" PREVIOUS="justify"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
    <TABLE NAME="enrol_unasus_role" COMMENT="Tabela que registra as regras da da matrícula" PREVIOUS="enrol_unasus" NEXT="enrol_unasus_role_data">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="contextid"/>
        <FIELD NAME="contextid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira  da tabela mdl_context" PREVIOUS="id" NEXT="type"/>
        <FIELD NAME="type" TYPE="char" LENGTH="50" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Tipo de regra. CBO  é um tipo de regra." PREVIOUS="contextid" NEXT="title"/>
        <FIELD NAME="title" TYPE="char" LENGTH="255" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Nome de identificação da regra" PREVIOUS="type" NEXT="name"/>
        <FIELD NAME="name" TYPE="char" LENGTH="255" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Nome de identificação da regra" PREVIOUS="title" NEXT="value"/>
        <FIELD NAME="value" TYPE="text" LENGTH="big" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Valor  da regra" PREVIOUS="name" NEXT="description"/>
        <FIELD NAME="description" TYPE="text" LENGTH="big" NOTNULL="false" SEQUENCE="false" ENUM="false" COMMENT="Descrição geral" PREVIOUS="value"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
    <TABLE NAME="enrol_unasus_role_data" COMMENT="Registra as regras que foram  usadas para autorizar a matrícula. Se a regra for CBO, será registrado o código CBO que atendeu o requisito da matrícula." PREVIOUS="enrol_unasus_role" NEXT="enrol_unasus_message">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="enrolid"/>
        <FIELD NAME="enrolid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira  da tabela mdl_enrol_unasus. Registra as regras que homologaram a inscrição" PREVIOUS="id" NEXT="type"/>
        <FIELD NAME="type" TYPE="char" LENGTH="50" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Tipo de regra. CBO  é um tipo de regra." PREVIOUS="enrolid" NEXT="value"/>
        <FIELD NAME="value" TYPE="text" LENGTH="big" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Valor  da regra" PREVIOUS="type"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
    <TABLE NAME="enrol_unasus_message" COMMENT="Tabela que registra as mensagens que  serão exibidas ou enviada aos usuários  personalizados por curso em cada etapa da matrícula" PREVIOUS="enrol_unasus_role_data" NEXT="enrol_unasus_info_category">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="contextid"/>
        <FIELD NAME="contextid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira da tabela mdl_context" PREVIOUS="id" NEXT="presentation"/>
        <FIELD NAME="presentation" TYPE="text" LENGTH="big" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Mensagem de apresentação ao efetuar a solicitação da matrícula" PREVIOUS="contextid" NEXT="approval"/>
        <FIELD NAME="approval" TYPE="text" LENGTH="big" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Mensagem de aprovação da matrícula" PREVIOUS="presentation" NEXT="disapproval"/>
        <FIELD NAME="disapproval" TYPE="text" LENGTH="big" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Mensagem de rejeição  da matrícula" PREVIOUS="approval" NEXT="autreviewapproval"/>
        <FIELD NAME="autreviewapproval" TYPE="text" LENGTH="big" NOTNULL="false" SEQUENCE="false" ENUM="false" COMMENT="Mensagem de aprovação da matrícula após a revisão automática do cron" PREVIOUS="disapproval" NEXT="manualreviewapproval"/>
        <FIELD NAME="manualreviewapproval" TYPE="text" LENGTH="big" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Mensagem de aprovação da matrícula manualmente" PREVIOUS="autreviewapproval" NEXT="pendingapprovalmanager"/>
        <FIELD NAME="pendingapprovalmanager" TYPE="text" LENGTH="big" NOTNULL="false" SEQUENCE="false" ENUM="false" COMMENT="Mensagem que informa que a solicitação será analisada pelo gestor da oferta" PREVIOUS="manualreviewapproval"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
    <TABLE NAME="enrol_unasus_info_category" COMMENT="Tabela que registra a categoria dos campos do formulário" PREVIOUS="enrol_unasus_message" NEXT="enrol_unasus_info_field">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="contextid"/>
        <FIELD NAME="contextid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira da tabela mdl_context" PREVIOUS="id" NEXT="name"/>
        <FIELD NAME="name" TYPE="char" LENGTH="255" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Nome da categoria" PREVIOUS="contextid" NEXT="sortorder"/>
        <FIELD NAME="sortorder" TYPE="int" LENGTH="3" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Ordem de exibição da categoria" PREVIOUS="name" NEXT="description"/>
        <FIELD NAME="description" TYPE="char" LENGTH="255" NOTNULL="false" SEQUENCE="false" ENUM="false" COMMENT="Descrição geral" PREVIOUS="sortorder"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
    <TABLE NAME="enrol_unasus_info_field" COMMENT="Tabela que registra os campos do formulário para captura de dados complementares  dos usuários sobre a matrícula" PREVIOUS="enrol_unasus_info_category" NEXT="enrol_unasus_info_data">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="contextid"/>
        <FIELD NAME="contextid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira da tabela mdl_context" PREVIOUS="id" NEXT="shortname"/>
        <FIELD NAME="shortname" TYPE="char" LENGTH="255" NOTNULL="true" SEQUENCE="false" ENUM="false" PREVIOUS="contextid" NEXT="name"/>
        <FIELD NAME="name" TYPE="char" LENGTH="255" NOTNULL="true" SEQUENCE="false" ENUM="false" PREVIOUS="shortname" NEXT="datatype"/>
        <FIELD NAME="datatype" TYPE="char" LENGTH="255" NOTNULL="true" SEQUENCE="false" ENUM="false" PREVIOUS="name" NEXT="description"/>
        <FIELD NAME="description" TYPE="text" LENGTH="small" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="datatype" NEXT="categoryid"/>
        <FIELD NAME="categoryid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="description" NEXT="sortorder"/>
        <FIELD NAME="sortorder" TYPE="int" LENGTH="5" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="categoryid" NEXT="required"/>
        <FIELD NAME="required" TYPE="int" LENGTH="2" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="sortorder" NEXT="visible"/>
        <FIELD NAME="visible" TYPE="int" LENGTH="2" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="required" NEXT="forceunique"/>
        <FIELD NAME="forceunique" TYPE="int" LENGTH="2" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="visible" NEXT="defaultdata"/>
        <FIELD NAME="defaultdata" TYPE="text" LENGTH="small" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="forceunique" NEXT="param1"/>
        <FIELD NAME="param1" TYPE="text" LENGTH="small" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="defaultdata" NEXT="param2"/>
        <FIELD NAME="param2" TYPE="text" LENGTH="small" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="param1" NEXT="param3"/>
        <FIELD NAME="param3" TYPE="text" LENGTH="small" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="param2" NEXT="param4"/>
        <FIELD NAME="param4" TYPE="text" LENGTH="small" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="param3" NEXT="param5"/>
        <FIELD NAME="param5" TYPE="text" LENGTH="small" NOTNULL="false" SEQUENCE="false" ENUM="false" PREVIOUS="param4"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
    <TABLE NAME="enrol_unasus_info_data" COMMENT="Tabela que registra os dados dos formulário" PREVIOUS="enrol_unasus_info_field" NEXT="enrol_unasus_log">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="userid"/>
        <FIELD NAME="userid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="id" NEXT="fieldid"/>
        <FIELD NAME="fieldid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="userid" NEXT="data"/>
        <FIELD NAME="data" TYPE="text" LENGTH="big" NOTNULL="true" SEQUENCE="false" ENUM="false" PREVIOUS="fieldid"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
    <TABLE NAME="enrol_unasus_log" COMMENT="Log sobre controle de status da matrícula" PREVIOUS="enrol_unasus_info_data" NEXT="enrol_unasus_conf">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="userid"/>
        <FIELD NAME="userid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira da tabela mdl_user" PREVIOUS="id" NEXT="courseid"/>
        <FIELD NAME="courseid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira da tabela mdl_course" PREVIOUS="userid" NEXT="rolecontextid"/>
        <FIELD NAME="rolecontextid" TYPE="int" LENGTH="10" NOTNULL="false" UNSIGNED="true" SEQUENCE="false" ENUM="false" PREVIOUS="courseid" NEXT="time"/>
        <FIELD NAME="time" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Data em que log foi gerado" PREVIOUS="rolecontextid" NEXT="status"/>
        <FIELD NAME="status" TYPE="int" LENGTH="2" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Registra o status do processo de inscrição. Segue a tabela de domínio: 1 - Inscrição completado com sucesso 2 - CPF inválido 3-Erro de conexão com a Plataforma Arouca 4 - CBO não consta na Plataforma Arouca 5 - Não existe nenhuma regra de inscrição cadastrada na base de dados 6 - CBO não consta na lista de requisitos" PREVIOUS="time" NEXT="error"/>
        <FIELD NAME="error" TYPE="text" LENGTH="big" NOTNULL="false" SEQUENCE="false" ENUM="false" COMMENT="Detalhe do erro" PREVIOUS="status" NEXT="type"/>
        <FIELD NAME="type" TYPE="int" LENGTH="2" NOTNULL="true" UNSIGNED="true" SEQUENCE="false" ENUM="false" COMMENT="Tipo de Execução 2-  Manual 1 - Automático pelo cron" PREVIOUS="error"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
   
    <TABLE NAME="enrol_unasus_conf" COMMENT="Tabela que registra as configurações do módulo" PREVIOUS="enrol_unasus_log">
      <FIELDS>
        <FIELD NAME="id" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" SEQUENCE="true" ENUM="false" NEXT="contextid"/>
        <FIELD NAME="contextid" TYPE="int" LENGTH="10" NOTNULL="true" UNSIGNED="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Chave estrangeira da tabela mdl_context" PREVIOUS="id" NEXT="name"/>
        <FIELD NAME="name" TYPE="char" LENGTH="255" NOTNULL="true" DEFAULT="0" SEQUENCE="false" ENUM="false" COMMENT="Nome da variável de configuração" PREVIOUS="contextid" NEXT="value"/>
        <FIELD NAME="value" TYPE="text" LENGTH="big" NOTNULL="true" SEQUENCE="false" ENUM="false" COMMENT="Valor da configuração" PREVIOUS="name"/>
      </FIELDS>
      <KEYS>
        <KEY NAME="primary" TYPE="primary" FIELDS="id"/>
      </KEYS>
    </TABLE>
  </TABLES>
</XMLDB>